.signup {
    background-color: #1A1B22;
}

.login-banner,
.signup-banner {
    background-image: url(../images/songs_hero_bg.png);
}

.signup_container {
    align-items: center;
    display: flex;
    justify-content: center;
    min-height: calc(100vh - 375px);
    padding: 50px 20px;
}

.signup_form {
    align-items: flex-start;
    border-radius: 12px;
    background-color: #000000;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 30px;
    row-gap: 30px;
    width: 609px;
}

.signup-form-title {
    color: white;
    font-family: var(--primary-font);
    font-size: 24px;
    font-weight: 400;
    line-height: 1;
}

.signup_form .form_group {
    width: 100%;
}

.signup_form .form_group input {
    background-color: #fff;
    border: 1px solid #393A41;
    border-radius: 50px;
    color: #A7AAB5;
    font-family: var(--primary-font);
    font-size: 16px;
    font-weight: 400;
    height: 64px;
    line-height: normal;
    padding: 10px 26px;
    width: 100%;
}

.signup_form .radio_button {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 20px;
}

.signup_form .radio_button label {
    color: #A7AAB5;
    font-family: var(--primary-font);
    font-size: 16px;
    font-weight: 500;
    line-height: 1.625;
}

.signup_form .radio_button input {
    width: 36px;
    height: 36px;
    color: #A7AAB5;
    accent-color: #A7AAB5;
    cursor: pointer;
}

 .signup_form button {
    text-align: center;
    width: 100%;
    height: 64px;
    border: 0px;
    border-radius: 50px;
    color: white;
    cursor: pointer;
    font-family: var(--primary-font);
    font-size: 16px;
    font-weight: 600;
    line-height: 24px;
}

.submission {
    background: linear-gradient(108.65deg, #D20B61 3.9%, #664DC9 77.99%, #5C34F0 112.86%);
}

.signup_form p {
    color: #A7AAB5;
    font-size: 16px;
    line-height: normal;
    width: 100%;
}

.or_divider {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #A7AAB5;
}

.or_divider .line {
    flex-grow: 1;
    border-top: 1px dashed #A7AAB5;
    margin: 0 10px;
}

.or_text {
    white-space: nowrap;
    font-family: var(--primary-font);
    font-size: 16px;
    font-weight: 400;
    line-height: 1.625;
}

.signup_form .social_login {
    align-items: center;
    background-color: #1A1B22;
    border: medium none;
    display: flex;
    gap: 17px;
    justify-content: center;
    line-height: normal;
}

.social_login img {
    width: 24px;
    height: 24px;
}

.signup-form-bottom {
    text-align: center;
}

.signup-form-bottom a {
    background: linear-gradient(108.65deg, #D20B61 3.9%, #664DC9 77.99%, #5C34F0 112.86%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.form-check{
    color: #fff;
}
.invalid-feedback{
    color:red;
}

@media screen and (max-width:620px) {
    .signup_container {
        min-height: calc(100vh - 360px);
    }
}

@media screen and (max-width:480px) {
    .signup_form .form_group input {
        height: 40px;
        padding: 5px 20px;
    }

    .signup_form button {
        height: 40px;
        font-size: 14px;
    }

    .signup_form .radio_button label {
        font-family: var(--primary-font);
        font-size: 12px;
        font-weight: 500;
        line-height: 26px;
    }

    .signup_form .radio_button {
        gap: 5px;
    }

    .signup_form .radio_button input {
        height: 20px;
        width: 20px;
    }

    .social_login img {
        height: 16px;
        width: 16px;
    }

    .signup_form p {
        font-size: 14px;
        line-height: 20px;
    }
}
